Class('App', 'xui.Com',{
    Instance:{
        iniComponents : function(){
            // [[Code created by CrossUI RAD Tools
            var host=this, children=[], append=function(child){children.push(child.get(0));};

            append((new xui.UI.SVGPaper())
            .setHost(host,"ctl_svgpaper1")
            .setLeft(10)
            .setTop(30)
            .setWidth(760)
            .setHeight(370)
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path2")
            .setSvgTag("Shapes:Triangle")
            .setAttr({"path":"M,360,231L,390,171L,420,231Z", "stroke":"#004A7F", "stroke-width":2, "fill":"39-#ffffff:0-#4B0082:100"})
            .setShadow(true)
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path1")
            .setSvgTag("Shapes:Line")
            .setAttr({"path":"M,70,91L,623,294", "stroke":"#004A7F", "stroke-width":5, "fill":"none", "stroke-dasharray":"- ."})
            );

            host.ctl_svgpaper1.append((new xui.svg.circle())
            .setHost(host,"ctl_circle1")
            .setSvgTag("Shapes:Circle")
            .setAttr({"cx":51.5, "cy":80.5, "r":50.5, "stroke":"#004A7F", "stroke-width":2, "fill":"r(0.5,0.5)#FFD700:0-#8A2BE2:29-#FF0000:65-#7FFF00:100"})
            .setShadow(true)
            );

            host.ctl_svgpaper1.append((new xui.svg.ellipse())
            .setHost(host,"ctl_ellipse1")
            .setSvgTag("Shapes:Ellipse")
            .setAttr({"cx":151, "cy":121, "rx":20, "ry":40, "stroke":"#004A7F", "stroke-width":2, "fill-opacity":0.5, "fill":"#FFA500", "transform":"r18"})
            .setShadow(true)
            );

            host.ctl_svgpaper1.append((new xui.svg.rect())
            .setHost(host,"ctl_rect1")
            .setSvgTag("Shapes:Rect")
            .setAttr({"x":180, "y":140, "r":12, "width":159, "height":57, "stroke":"#004A7F", "stroke-width":2, "fill":"none", "transform":"r116"})
            .setShadow(true)
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path3")
            .setSvgTag("Shapes:Start5points")
            .setAttr({"path":"M,505.363415104801,267.62455005945844L,471.1359565250479,291.3171120334797L,484.2197531635937,252.9919885428101L,450,229.29942656878887L,492.29888200665323,229.30676854646907L,503.54108418311887,196.35230172886935L,505.3749732290397,191L,518.4356536191075,229.29942656878887H,560.74609375L,526.5109297540877,252.9919885428101L,539.5985791007131,291.328125L,505.363415104801,267.62455005945844L,505.363415104801,267.62455005945844Z", "stroke":"#004A7F", "stroke-width":2, "fill":"113-#ffffff:0-#7CFC00:100", "cursor":"pointer", "opacity":0.5})
            .setShadow(true)
            .onClick("_ctl_path3_onclick")
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path4")
            .setSvgTag("Shapes:Bezier")
            .setAttr({"path":"M,556,270C,535.3877596103372,352,767.1708155364125,174,669,349", "stroke":"#8B0000", "stroke-width":4, "fill":"none", "stroke-linejoin":"round", "stroke-linecap":"round", "arrow-end":"open-narrow-short", "arrow-start":"oval-midium-midium"})
            .setShadow(true)
            );

            host.ctl_svgpaper1.append((new xui.svg.text())
            .setHost(host,"ctl_text1")
            .setSvgTag("Shapes:Text")
            .setAttr({"x":392, "y":34.5, "text":"xui svg shapes", "font-size":"34pt", "font-weight":"bold", "font-family":"arial black,avant garde", "fill":"8-#8B008B:0-#ADFF2F:29-#556B2F:68-#FF0000:100"})
            );

            host.ctl_svgpaper1.append((new xui.svg.image())
            .setHost(host,"ctl_image1")
            .setAttr({"src":"http://www.crossui.com/img/logo.png", "x":510, "y":110, "width":170, "height":60})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path90")
            .setSvgTag("Arrow:1")
            .setAttr({"path":"M,30,334.67153788042486C,30.046524097927033,326.4508018426711,29.970231295607995,318.21907778045613,30.38259100328144,310.0128000431346C,40.51503901983225,312.7123080867385,50.52798224881252,317.1293661799664,60.48969018511178,321.1015902478224C,61.02447713271653,317.0706317000202,60.7727666467984,313.7269037068743,61.23741809688556,310C,67.63723605718056,317.84243101129476,73.97934566077247,325.7965400925181,80.06153,334.1294178498871C,74.22626433256113,343.5817706789562,67.53300360255045,351.79048730825184,60.96201559200142,360.19629999999995C,60.749232507442684,356.2818358015243,60.53641079276652,352.3673999897642,60.32362434906713,348.45293579128855C,50.63895481914591,352.2399980450036,40.39709455309111,356.1554534129624,30.649808961985137,359.61755400977773C,29.986946379455276,351.6288982957808,30.00642939519367,342.92901815584435,30,334.67153788042486Z", "stroke":"#004A7F", "stroke-width":2, "fill":"0-#BA55D3:0-#9400D3:57-#ffffff:100"})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path91")
            .setSvgTag("Arrow:2")
            .setAttr({"path":"M,132.7279607332132,350.7241909422821L,140.65567894939448,341.11511391140783L,125.32782269565155,341.11511391140783L,110,341.11511391140783L,110,335.16664006710903L,110,329.2181601422794L,125.15198165236345,329.2181601422794C,133.48555981583135,329.2181601422794,140.3039515593949,328.91666310247314,140.3039515593949,328.54816469364414C,140.3039515593949,328.17967439218955,136.98638018359884,323.8555880054791,132.93157948668306,318.93908968961347L,125.55918392330724,310L,132.37353023894883,310L,139.1878513860218,310L,149.59486320986775,322.5953716456248L,160.00186999999994,335.1907372107189L,149.57489950127558,347.76200360535944L,139.14793235836035,360.33327L,131.97408324293468,360.33327L,124.80021734846326,360.33327L,132.72795737740404,350.7241889154385Z", "stroke":"#004A7F", "stroke-width":2, "fill":"0-#BA55D3:0-#9400D3:57-#ffffff:100"})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path92")
            .setSvgTag("Arrow:8")
            .setAttr({"path":"M,203.22863113865475,335.4999958557046L,193.78598438469646,326.05734739033716L,193.78598438469646,330.77867162302084L,190,330.77867162302084L,190,310L,210.77867162302084,310L,210.77867162302084,313.78598438469646L,206.05734567892802,313.78598438469646L,215.49999585570458,323.228634561473L,224.9426460324811,313.78598438469646L,220.22132008838827,313.78598438469646L,220.22132008838827,310L,240.99999000000003,310L,240.99999000000003,330.77867162302084L,237.21400390389442,330.77867162302084L,237.21400390389442,326.05734739033716L,227.77135543852705,335.4999958557046L,237.21400390389442,344.9426460324811L,237.21400390389442,340.22132008838827L,240.99999000000003,340.22132008838827L,240.99999000000003,360.99999L,220.22132008838827,360.99999L,220.22132008838827,357.2140039038944L,224.9426460324811,357.2140039038944L,215.49999585570458,347.7713588613453L,206.05734567892802,357.2140039038944L,210.77867162302084,357.2140039038944L,210.77867162302084,360.99999L,190,360.99999L,190,340.22132008838827L,193.78598438469646,340.22132008838827L,193.78598438469646,344.9426460324811L,203.22863113865475,335.4999958557046Z", "stroke":"#004A7F", "stroke-width":2})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path93")
            .setSvgTag("Arrow:10")
            .setAttr({"path":"M,297.6865925119343,315.5959191153157C,295.5067433274538,312.6916337820127,299.9067621879363,307.7769562280208,301.8847299680123,311.1247705494435C,303.57303939440544,314.026434440884,299.82024641629624,317.7156487679635,297.6865925119343,315.5959191153157ZM,303.52355085149935,322.2057084278075C,301.74223887250315,319.0081392314223,306.6163776862664,315.5918002959612,308.1582468067438,318.78590654908334C,309.98843195510676,322.1259493575727,305.04274413328585,325.9405102682537,303.52355085149935,322.2057084278075ZM,310.16851831646323,330.2030015493791C,307.9430942971635,328.3651336158047,310.15470960473374,324.12576712316354,312.4590518992836,324.5038611273865C,315.6599173642887,325.0998854317883,314.80445009054637,331.6074488241561,311.6825705242574,331.2884207932306C,311.0765526913951,331.2026742755315,310.5366367964151,330.7828269518228,310.16851831646323,330.2030015493791ZM,315.7267969720284,337.26427492572935C,313.86572311504534,334.3774961215606,318.15727900804154,330.5860579368604,319.9613733326874,333.33485319889735C,321.9236575404429,336.39257022504097,317.544311173475,340.4286110043081,315.7267969720284,337.26427492572935ZM,304.93343925364957,337.422572064167C,302.8645060778796,335.0332381503446,305.9013609699508,331.17262360052126,308.1861397958262,332.18035040257723C,311.50593803142,333.47676993507474,309.03777450964066,339.70986568317426,306.07504169850324,338.2938085765762C,305.66748521325934,338.05828305961535,305.3025146056434,337.73429677043833,304.93343925364957,337.422572064167ZM,296.1333288374587,337.422572064167C,293.7016481755131,334.65196376582884,298.14467217911204,330.1005900039461,300.22580462812385,332.998883764778C,302.3372881792023,336.01990266734873,298.3749047215801,340.3063561133519,296.1333288374587,337.422572064167ZM,287.4407532566852,337.26427492572935C,285.57853149136906,334.3783396854645,289.87243222804415,330.5847461846774,291.6747243873247,333.33597726326803C,293.6314381120796,336.3985597350087,289.26430116187356,340.4272105644775,287.4407532566852,337.26427492572935ZM,279.16168164497833,337.422572064167C,276.7300026736194,334.65196376582884,281.173028367805,330.1005900039461,283.25416250740346,332.998883764778C,285.3656409867219,336.01990266734873,281.4032592196864,340.3063561133519,279.1616816449784,337.422572064167ZM,270.4698363976362,337.26671074228307C,268.3360658427956,333.86048013614413,274.10691886330505,330.1431827623289,275.0690469391684,334.4162505610556C,275.780379867181,337.27588063254353,271.92802993203986,339.7660317766457,270.4698363976362,337.26671074228307ZM,309.81609186176513,344.8381649676748C,307.7426701784484,342.21358809986174,311.43051250818166,337.62851303189336,313.6432030288591,340.01737875743663C,316.375738799848,342.3971591553601,312.75508038345095,347.9110455190535,310.24636306919285,345.3663205341297C,310.1048728009784,345.1879923623565,309.9598880901655,345.01377888493096,309.81609186176513,344.8381649676748ZM,303.52355085149935,351.3464770487885C,301.77569558223945,348.30486404944514,306.3187397636115,344.9665042437566,307.959820961445,347.81883717810064C,310.1004992533237,350.8487454704651,305.8009621007688,354.97690590303745,303.8210721236756,351.94999030315347L,303.52355085149935,351.3464770487885ZM,297.8950300113543,359.4407511442555C,296.0066447270953,357.3331943868658,298.6005337966094,354.01383230029325,300.6561924860302,354.57839930234394C,303.78512517980886,355.5631869412246,301.8133703056591,361.68517150441323,298.9434439390738,360.5233633209355C,298.4987520275505,360.33697694825184,298.1379199760455,359.92284688405783,297.8950300113543,359.4407511442555Z", "stroke":"#004A7F", "stroke-width":2})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path94")
            .setSvgTag("Arrow:14")
            .setAttr({"path":"M,739.9999700000001,147.86310376825102C,739.9999700000001,139.31401601179178,717.6142160771885,132.38360149008616,690,132.38360149008616L,690,120L,690,120C,717.6142160771885,120,739.9999700000001,126.93040787279116,739.9999700000001,135.47950227816486L,739.9999700000001,147.86310376825102C,739.9999700000001,154.9217309694127,724.5759021983312,161.08641162355218,702.4999920805371,162.8510684238426L,702.4999920805371,169.04287L,690,157.1508061324871L,702.4999920805371,144.27566701982767L,702.4999920805371,150.46746859598505L,702.4999920805371,150.46746859598505C,717.3859460569422,149.27754894693675,729.6760724704593,146.03362503881556,735.8257355071358,141.67130551655086", "stroke":"#004A7F", "stroke-width":2})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path95")
            .setSvgTag("Arrow:4")
            .setAttr({"path":"M,387.94246499385395,335.4971668450056L,360,310L,410.24145,335.4971668450056L,360,360.99432L,387.94246499385395,335.4971668450056Z", "stroke":"#004A7F", "stroke-width":2})
            );

            host.ctl_svgpaper1.append((new xui.svg.path())
            .setHost(host,"ctl_path96")
            .setSvgTag("Arrow:15")
            .setAttr({"path":"M,570,89.99995999999999L,570,61.874983758388424L,570,61.874983758388424C,570,49.79376529166245,579.7937636138113,40,591.8749854362396,40L,591.8749854362396,40L,591.8749854362396,40C,597.676590634094,40,603.240578540483,42.3046796736617,607.3429382253528,46.40703432497776C,611.44529455452,50.50938897629382,613.7499691946281,56.0733768826828,613.7499691946281,61.874983758388424L,613.7499691946281,64.99998167785122L,619.99996,64.99998167785122L,607.4999767114049,77.49997671140491L,594.9999816778512,64.99998167785122L,601.2499775167769,64.99998167785122L,601.2499775167769,61.874983758388424C,601.2499775167769,56.69731942029925,597.0526480964776,52.499993355702465,591.8749871140909,52.499993355702465L,591.8749871140909,52.499993355702465L,591.8749871140909,52.499993355702465C,586.6973194202992,52.499993355702465,582.4999933557025,56.69731942029925,582.4999933557025,61.874983758388424L,582.4999933557025,89.99995999999999Z", "stroke":"#004A7F", "stroke-width":2, "fill":"0-#BA55D3:0-#9400D3:57-#ffffff:100"})
            .setShadow(true)
            );

            return children;
            // ]]Code created by CrossUI RAD Tools
        },
        _ctl_path3_onclick:function (profile, e, src){
            xui.message("Hi there!");
        }
    }
});