Class('App.Form.Contact', 'xui.Com',{
    Instance:{
        iniComponents : function(){
            // [[Code created by CrossUI RAD Studio
            var host=this, children=[], append=function(child){children.push(child.get(0));};
            
            append(
                (new xui.UI.Dialog())
                .setHost(host,"ctl_dlg")
                .setDock("origin")
                .setLeft(50)
                .setTop(40)
                .setWidth(500)
                .setHeight(372)
                .setCaption("Contact")
                .setImage("{/}img/form.png")
                .setMinBtn(false)
                .setModal(true)
                .setCustomStyle({
                    "PANEL" : {
                        "background-color" : "#fff"
                    }
                })
            );
            
            host.ctl_dlg.append(
                (new xui.UI.Block())
                .setHost(host,"ctl_block633")
                .setDock("fill")
                .setBorderType("inset")
                .setBackground("#ffffff")
                );
            
            host.ctl_block633.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group2")
                .setLeft(10)
                .setTop(40)
                .setWidth(470)
                .setHeight(127)
                .setCaption("Basic")
                .setToggleBtn(false)
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_name")
                .setDirtyMark(false)
                .setLeft(10)
                .setTop(10)
                .setWidth(230)
                .setLabelSize(100)
                .setLabelCaption("Name")
                .setType("input")
                .setCaption("")
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_account")
                .setDirtyMark(false)
                .setLeft(10)
                .setTop(40)
                .setWidth(230)
                .setLabelSize(100)
                .setLabelCaption("Account")
                .setType("cmdbox")
                .setCaption("")
                .beforeComboPop([{
                    "desc" : "pop",
                    "type" : "page",
                    "target" : "App.Com.AccountListForSel",
                    "params" : [],
                    "method" : "pop"
                },{
                    "desc" : "cb1",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setAccid","{page.contact_account.setValue()}"],
                    "method" : "set"
                },{
                    "desc" : "cb2",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setAccCaption","{page.contact_account.setCaption()}"],
                    "method" : "set"
                }])
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_gendar")
                .setDirtyMark(false)
                .setLeft(250)
                .setTop(10)
                .setWidth(200)
                .setLabelSize(100)
                .setLabelCaption("Gendar")
                .setType("listbox")
                .setItems([{
                    "id" : "male",
                    "caption" : "Male"
                },{
                    "id" : "female",
                    "caption" : "Female"
                }])
                .setValue("male")
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_type")
                .setDirtyMark(false)
                .setLeft(250)
                .setTop(40)
                .setWidth(200)
                .setLabelSize(100)
                .setLabelCaption("Type")
                .setType("listbox")
                .setItems([{
                    "id" : "noidea",
                    "caption" : "No Idea"
                },{
                    "id" : "expert",
                    "caption" : "Expert"
                },{
                    "id" : "goverment",
                    "caption" : "Goverment"
                },{
                    "id" : "enterprice",
                    "caption" : "Enterprice"
                },{
                    "id" : "association",
                    "caption" : "Association"
                },{
                    "id" : "other",
                    "caption" : "Others"
                }])
                .setValue("noidea")
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_title")
                .setDirtyMark(false)
                .setLeft(10)
                .setTop(70)
                .setWidth(230)
                .setLabelSize(100)
                .setLabelCaption("Title")
                .setType("input")
                .setCaption("")
                );
            
            host.ctl_group2.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_dept")
                .setDirtyMark(false)
                .setLeft(250)
                .setTop(70)
                .setWidth(200)
                .setLabelSize(100)
                .setLabelCaption("Dept.")
                .setType("input")
                .setCaption("")
                );
            
            host.ctl_block633.append(
                (new xui.UI.Group())
                .setHost(host,"ctl_group3")
                .setLeft(10)
                .setTop(180)
                .setWidth(470)
                .setHeight(140)
                .setCaption("Contact Info")
                .setToggleBtn(false)
                );
            
            host.ctl_group3.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_cellphone")
                .setDirtyMark(false)
                .setLeft(10)
                .setTop(10)
                .setWidth(200)
                .setLabelSize(100)
                .setLabelCaption("Cell phone")
                .setType("input")
                .setCaption("")
                );
            
            host.ctl_group3.append(
                (new xui.UI.ComboInput())
                .setHost(host,"contact_address")
                .setDirtyMark(false)
                .setLeft(10)
                .setTop(40)
                .setWidth(440)
                .setHeight(70)
                .setLabelSize(100)
                .setLabelCaption("Address")
                .setType("input")
                .setMultiLines(true)
                .setCaption("")
                );
            
            host.ctl_block633.append(
                (new xui.UI.ToolBar())
                .setHost(host,"ctl_toolbar")
                .setItems([{
                    "id" : "grp1",
                    "sub" : [{
                        "id" : "close",
                        "caption" : "Close",
                        "label" : "",
                        "image" : "{/}img/icons.png",
                        "imagePos" : "left top"
                    },{
                        "id" : "save",
                        "caption" : "Save",
                        "type" : "",
                        "image" : "{/}img/icons.png",
                        "imagePos" : "-64px top"
                    }],
                    "caption" : "grp1"
                }])
                .onClick([{
                    "desc" : "close",
                    "type" : "page",
                    "target" : "App.Form.Contact",
                    "params" : [],
                    "method" : "destroy",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "close"
                    }],
                    "return" : false
                },{
                    "desc" : "save-new",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["insertRow",undefined,undefined,"{page.getValue()}",undefined,undefined,"{true}"],
                    "method" : "call",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "save"
                    },{
                        "left" : "{global.con_status}",
                        "symbol" : "=",
                        "right" : "new"
                    }]
                },{
                    "desc" : "save-new3",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setActiveRow",undefined,undefined,"{0}"],
                    "method" : "call",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "save"
                    },{
                        "left" : "{global.con_status}",
                        "symbol" : "=",
                        "right" : "new"
                    }]
                },{
                    "desc" : "save-new2",
                    "type" : "other",
                    "target" : "var",
                    "params" : ["con_status","open"],
                    "method" : "global",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "save"
                    },{
                        "left" : "{global.con_status}",
                        "symbol" : "=",
                        "right" : "new"
                    }]
                },{
                    "desc" : "save-open",
                    "type" : "other",
                    "target" : "callback",
                    "params" : ["setFormDataToGrid",undefined,undefined,"{page.getValue()}"],
                    "method" : "call",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "save"
                    },{
                        "left" : "{global.con_status}",
                        "symbol" : "=",
                        "right" : "open"
                    }]
                },{
                    "desc" : "message",
                    "type" : "other",
                    "target" : "msg",
                    "params" : ["Saved!","Saved",200,5000],
                    "method" : "message",
                    "conditions" : [{
                        "left" : "{args[1].id}",
                        "symbol" : "=",
                        "right" : "save"
                    }]
                }])
                );
            
            return children;
            // ]]Code created by CrossUI RAD Studio
        },
        events:{
            "onReady" : [{
                "desc" : "Set for open",
                "type" : "page",
                "target" : "App.Form.Contact",
                "params" : ["[data]{global.FromDataIn}"],
                "method" : "setValue",
                "conditions" : [{
                    "left" : "{global.con_status}",
                    "symbol" : "=",
                    "right" : "open"
                }]
            }]
        }
    }
});